# Maleghast Engine

**A prototype Maleghast game engine, plus a simple CLI interface.**

This is a work in progress engine for Maleghast, whose main goal currently includes building an accurate choice tree for any valid board state.  Current implementation is very limited, but several core mechanics are currently implemented.

Currently missing core mechanics include:
- Hazards
- LoS blocking
- Tyrants
- Thralls
- Loadout / Layout chooser
- Line attacks
- Splash attacks
- Curseproof
- Obliteration
- Targetting walls
- Corpses
- Stepping
- Most faction tags/tokens

## Building

Can be built with Stack:

```bash
stack build
# OR to run
stack run
```